/***************************************************************************
                                systraymenu.h
                             -------------------
    begin                : 04.03.2003
    copyright            : (C) 2003 by Tamas Bara
    email                : tbara@web.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SYSTRAYMENU_H
#define SYSTRAYMENU_H

#include <qpixmap.h>

#include <ksystemtray.h>

#include "menubase.h"

class SysTrayMenu : public KSystemTray, public MenuBase
{
    public :

        SysTrayMenu( int id,
                     Transceiver* pTransceiver,
                     SysTrayManager* pManager,
                     QPixmap& pixmap,
                     QString& toolTip );

        void setToolTip( QString& toolTip );
        void setIcon( QPixmap& pixmap );
        void showIcon( bool show );

        void addItem( int index, QString& label, bool checkable, bool checked, bool enabled );

    protected :

        void mousePressEvent( QMouseEvent* e );
        void mouseDoubleClickEvent( QMouseEvent* e );
};

#endif
