/***************************************************************************
                                  submenu.h
                             -------------------
    begin                : 04.03.2003
    copyright            : (C) 2003 by Tamas Bara
    email                : tbara@web.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SUBMENU_H
#define SUBMENU_H

#include "menubase.h"

class SubMenu : public MenuBase
{
    public :

        SubMenu( int id, Transceiver* pTransceiver, SysTrayManager* pManager )
            : MenuBase( id, pTransceiver, pManager ) {}

        void setToolTip( QString& toolTip ) {}
        void setIcon( QPixmap& pixmap ) {}
        void showIcon( bool show ) {}

        QPopupMenu* getPopupMenu() { return m_pMenu; }
        
        void addItem( int index, QString& label, bool checkable, bool checked, bool enabled );
};

#endif
